subroutine cost_function(size_vec,effort,theomega,thekappa,theb,thecost)
!This computes the cost function for the search effort using the first specification.
use mod_param
implicit none

!Define dummy variables:
integer, intent(in) :: size_vec
real(mykind), intent(in)  :: effort(size_vec)
real(mykind), intent(in)  :: theomega
real(mykind), intent(in)  :: thekappa
real(mykind), intent(in)  :: theb
real(mykind), intent(out) :: thecost(size_vec)

!Function:
thecost = theomega/(thekappa+1.0)*(effort/(theb-effort))**(thekappa+1.0)

end subroutine cost_function
