subroutine dfovec(n,mv,myguess,v_err)
use mod_param
implicit none

!Declare dummy variables:
integer, intent(in) :: n
integer, intent(in) :: mv
real(mykind), intent (in) :: myguess(3)
real(mykind), intent (out) :: v_err(3)

!Declare other variables
real(mykind) :: transformed_x(3)

!------------------------

!Re-scale the initial guess:
transformed_x = guess_optimization + myguess*step_optimization

!Call excess demand subroutine:
call excess_demand(transformed_x,v_err)

!Print the excess demands:
print *, '-------------------'
print *, "Excess Demands:"
print *, v_err
print *, '-------------------'

end subroutine dfovec
