function out = foc_con(x,myvec)
%This function computes the first order condition for the constrained first
%order condition. It only works if 0<x<b

vgap = myvec(1);
omeg_p = myvec(2);
omeg_u = myvec(3);
kap_p = myvec(4);
kap_u = myvec(5);
b_p = myvec(6);
b_u = myvec(7);

out = vgap - omeg_u*b_u*(x/(b_u-x))^kap_u/(b_u-x)^2 + omeg_p*b_p*(1/(b_p-1+x)^2)*((1-x)/(b_p-1+x))^kap_p;
