%This m-file reads the files from Fortran (value functions, distributions,
%policy functions, etc.)

%Distributions:
load dist_S_m.txt
dist_S_m = reshape(dist_S_m,n_status,ntypes_m);
load dist_S_y_m.txt
dist_S_y_m = reshape(dist_S_y_m,n_status,ntypes_m);
load dist_L_m.txt
dist_L_m = reshape(dist_L_m,n_status,ntypes_m);
load dist_L_y_m.txt
dist_L_y_m = reshape(dist_L_y_m,n_status,ntypes_m);
load dist_A_m.txt
dist_A_m = reshape(dist_A_m,n_status,ntypes_m);

load dist_S_f.txt
dist_S_f = reshape(dist_S_f,n_status,ntypes_f);
load dist_S_y_f.txt
dist_S_y_f = reshape(dist_S_y_f,n_status,ntypes_f);
load dist_L_f.txt
dist_L_f = reshape(dist_L_f,n_status,ntypes_f);
load dist_L_y_f.txt
dist_L_y_f = reshape(dist_L_y_f,n_status,ntypes_f);
load dist_A_f.txt
dist_A_f = reshape(dist_A_f,n_status,ntypes_f);

%Search effort policy functions:
load pi_p_m.txt
pi_p_m = reshape(pi_p_m,n_status,ntypes_m);
load pi_p_y_m.txt
pi_p_y_m = reshape(pi_p_y_m,n_status,ntypes_m);
load pi_u_m.txt
pi_u_m = reshape(pi_u_m,n_status,ntypes_m);
load pi_u_y_m.txt
pi_u_y_m = reshape(pi_u_y_m,n_status,ntypes_m);
load pi_l_m.txt
pi_l_m = reshape(pi_l_m,n_status,ntypes_m);
load pi_l_y_m.txt
pi_l_y_m = reshape(pi_l_y_m,n_status,ntypes_m);

load pi_p_f.txt
pi_p_f = reshape(pi_p_f,n_status,ntypes_f);
load pi_p_y_f.txt
pi_p_y_f = reshape(pi_p_y_f,n_status,ntypes_f);
load pi_u_f.txt
pi_u_f = reshape(pi_u_f,n_status,ntypes_f);
load pi_u_y_f.txt
pi_u_y_f = reshape(pi_u_y_f,n_status,ntypes_f);
load pi_l_f.txt
pi_l_f = reshape(pi_l_f,n_status,ntypes_f);
load pi_l_y_f.txt
pi_l_y_f = reshape(pi_l_y_f,n_status,ntypes_f);

%Prevalence rates:
load prev_out.txt

phi_p_m = prev_out(1);
phi_u_m = prev_out(2);
phi_l_m = prev_out(3);
phi_p_f = prev_out(4);
phi_u_f = prev_out(5);
phi_l_f = prev_out(6);
phi_n_m = prev_out(7);
phi_n_f = prev_out(8);

prevalence = [phi_p_m;phi_u_m;phi_l_m;phi_p_f;phi_u_f;phi_l_f;phi_n_m;phi_n_f];
prev1 = prevalence;

%Value functions:
load v_l_y_m.txt
v_l_y_m = reshape(v_l_y_m,n_status,ntypes_m);

load v_l_y_f.txt
v_l_y_f = reshape(v_l_y_f,n_status,ntypes_f);

%Equilibrium prices:
load prices_out.txt
solution = prices_out;

t_p = prices_out(1);
t_u = prices_out(2);
t_l = prices_out(3);

%Excess demands:
load excess_out.txt

ed_p = excess_out(1);
ed_u = excess_out(2);
ed_l = excess_out(3);

%Convergence flags:
load convflags_out.txt

value_loop_converged = convflags_out(1);
opt_flag = convflags_out(2);





