subroutine writeout_files
!This subroutine writes out all of the desired files that need to be sent to Matlab
use mod_param
implicit none

!Define variables:
integer :: ii

!The prevalence vector:
open(11,file='prev_out.txt',status='replace')
do ii=1,8
	write(11,*) prev1(ii)
enddo
close(11)

!The equilibrium prices:
open(11,file='prices_out.txt',status='replace')
do ii=1,3
	write(11,*) prices(ii)
enddo
close(11)

!The excess demands:
open(11,file='excess_out.txt',status='replace')
do ii=1,3
	write(11,*) ed_vector(ii)
enddo
close(11)

!The convergence flags:
open(11,file='convflags_out.txt',status='replace')
do ii=1,2
	write(11,*) conv_flags(ii)
enddo
close(11)

end subroutine writeout_files
